Skip to main content
POST
Queue the annual CARF export for a calendar year

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Path Parameters

workflowId
string
required

Body

application/json
year
number
required

Calendar year (Europe/London).

Required range: 1970 <= x <= 9999
Example:

2025

Response

202 - application/json
id
string<uuid>
required
workflow_id
string<uuid>
required
occurrence_at
string<date-time> | null
required
rerun_of
string<uuid> | null
required
requested_cutoff
string<date-time>
required

Inclusive observation bound; period.end is the exclusive end of the stored half-open period.

execution_status
enum<string>
required
Available options:
queued,
running,
succeeded,
failed,
cancelled,
skipped
tx_sync_status
enum<string>
required
Available options:
not_applicable,
waiting,
completed,
expired
delivery_status
enum<string>
required
Available options:
not_required,
pending,
sending,
sent,
failed,
cancelled,
held
review_status
enum<string>
required

CARF review: needs_labels and awaiting_review are held (delivery held); sent once released.

Available options:
not_required,
needs_labels,
awaiting_review,
sent
carf_missing_count
number | null
required

CARF: reported transfers with no type. Null outside CARF review.

created_at
string<date-time>
required
cases
object[]
required
period
object
required
warnings
string[]
required
reason
string | null
required
queued_at
string<date-time>
required
started_at
string<date-time> | null
required
Example:

null